# Trial Registration Method

### QlmRegistration.asmx  <a href="#h_01hdm5wzxvd26qzx28grcvv5dk" id="h_01hdm5wzxvd26qzx28grcvv5dk"></a>

QlmRegistration.asmx is a web service method that takes user information from the command line, generates a trial key for a given product and emails it to the user.

Refer to this [article](https://support.soraco.co/hc/en-us/articles/211568803-How-to-hide-the-URL-arguments-of-the-QlmRegistrationForm-aspx-or-QlmRegistration-asmx-pages) for instructions to hide the URL arguments.

To have the QLM License Server send emails, you must have an SMTP server and configure QLM to use your SMTP Server. Refer to the "Configure the QLM License Server to send emails" section in this [article ](https://support.soraco.co/hc/en-us/articles/207894796-How-to-configure-QLM-to-send-mail-using-SMTP)for more details.

Example:

{% code overflow="wrap" %}

```
https://qlm3.net/qlmdemo/QlmCustomerSite/qlmregistration.asmx/Register?is_productid=1&is_majorversion=1&is_minorversion=0&is_expduration=10
```

{% endcode %}

### Product Related Arguments

| Argument                                                      | Description                                                                                                                                                                                                                                                                                                                        | Required |
| ------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| is\_productname                                               | Name of the product.                                                                                                                                                                                                                                                                                                               | No       |
| is\_productid                                                 | The ID of the product.                                                                                                                                                                                                                                                                                                             | Yes      |
| is\_majorversion                                              | The major version of the product.                                                                                                                                                                                                                                                                                                  | Yes      |
| is\_minorversion                                              | The minor version of the product.                                                                                                                                                                                                                                                                                                  | Yes      |
| is\_expduration                                               | Duration of the license, i.e. number of days after which the license will expire                                                                                                                                                                                                                                                   | No       |
| is\_expdate                                                   | The date at which the license expires. The default date format is:yyyy-MM-dd. The format can be changed from the web.config file.                                                                                                                                                                                                  | No       |
| is\_sendmail                                                  | By default, an email will be sent to the customer with the content of the is\_emailtemplate. Set the is\_sendmail argument to false to instruct QLM to not send an email.                                                                                                                                                          | No       |
| is\_emailfrom                                                 | When sending an email, specify the email address of the sender                                                                                                                                                                                                                                                                     | No       |
| is\_emailsubject                                              | Customize the subject of the email. Variables are allowed. See the supported variables below.                                                                                                                                                                                                                                      | Yes      |
| is\_confirmationmessage                                       | The message that is displayed to the user upon successful registration. Variables are allowed                                                                                                                                                                                                                                      | No       |
| is\_emailtemplate                                             | Name of the email template to use when sending an email to the customer. Email templates can be created from the QLM Management Console / Manage Keys / Email Templates                                                                                                                                                            | Yes      |
| is\_emailtemplate\_failed                                     | <p>Name of the email template to use when sending an email to the customer, if registration fails.  Email templates can be created from the QLM Management Console / Manage Keys / Email Templates.</p><p>A special variable called %ErrorMessage% can be used in the body of the email template to display the error message.</p> | No       |
| is\_userdata1                                                 | User Data to associate with the generated license                                                                                                                                                                                                                                                                                  | No       |
| The following variables can be used in the appropriate fields | <p><br>%ActivationKey%<br>%FullName%<br>%Email%<br>%EmailFrom%<br>%ProductName%<br>%MajorVersion%<br>%MinorVersion%</p>                                                                                                                                                                                                            |          |

### Contact Arguments

Contact information can be sent as URL arguments or as part of the POST data. When integrating with a third party, the web.config file *thirdPartyRegistrationFields* setting defines the mapping between the incoming fields and the QLM fields. To enable third-party integration such as MailChimp, you must set the useThirdPartyRegistrationFields setting to true in the web.config file.

When invoking the QlmRegistration.asmx directly from your own site, you can use the following arguments in the URL to specify the customer's contact information:

<table data-full-width="false"><thead><tr><th width="304">URL Argument</th><th>Description</th></tr></thead><tbody><tr><td><strong>Contact Information</strong></td><td></td></tr><tr><td>is_address1</td><td>Address 1 field (requires QLM 19.1.25322.2)</td></tr><tr><td>is_address2</td><td>Address 2 field (requires QLM 19.1.25322.2)</td></tr><tr><td>is_city</td><td>City field (requires QLM 19.1.25322.2)</td></tr><tr><td>is_company</td><td>Company name of the customer.</td></tr><tr><td>is_country</td><td>Country of the customer.</td></tr><tr><td>is_email</td><td>Email of the customer</td></tr><tr><td>is_fullname</td><td>Full name of the customer.</td></tr><tr><td>is_phone</td><td>Telephone number of the customer.</td></tr><tr><td>is_state</td><td>State field (requires QLM 19.1.25322.2)</td></tr><tr><td>is_zip</td><td>Zip Code field (requires QLM 19.1.25322.2)</td></tr><tr><td><strong>Additonal Properties</strong></td><td></td></tr><tr><td>is_confirmationmessage</td><td>The message that is displayed to the user upon successful registration. Variables are allowed.</td></tr><tr><td>is_emailtemplate</td><td>Name of the email template to use when sending an email to the customer. Email templates can be created from the QLM Management Console / Manage Keys / Email Templates.</td></tr><tr><td>is_sendmail</td><td>By default, an email will be sent to the customer with the content of the is_emailtemplate. Set the is_sendmail argument to false to instruct QLM to not send an email.</td></tr></tbody></table>

**Registration Form Rules**

In addition, you can set the following properties in the QlmCustomerSite's web.config file to control the behaviour of the registration request. Note that as of QLM v10, most of these properties can be set from the [Server Properties](https://support.soraco.co/hc/en-us/articles/207920563-Server-Properties) tab in the QLM Management Console.

| Setting                                     | Description                                                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| isPhoneRequired                             | Determines if the phone field is mandatory.                                                                                                                                                                                                                                                                                                               |
| isFullNameRequired                          | Determines if the full name field is mandatory.                                                                                                                                                                                                                                                                                                           |
| isEmailRequired                             | Determines if the email field is mandatory.                                                                                                                                                                                                                                                                                                               |
| isCompanyRequired                           | Determines if the company field is mandatory.                                                                                                                                                                                                                                                                                                             |
| genericEmailProviders                       | List of generic email providers. QLM identifies if 2 requests are associated to the same company by looking at the email address. However, when an email address is generic such as gmail.com, QLM cannot determine if the requests are related. If a an email address matches one of the generic providers in this list, QLM does not block the request. |
| maxRegistrationsPerUser                     | The maximum number of registrations allowed per user (email). The default is 1.                                                                                                                                                                                                                                                                           |
| preventRegistrationsIfCustomer              | Prevent a user from requesting a trial license key if another user from the same domain has already purchased this product. This property works in conjunction with the genericEmailProviders property that allows you to configure generic email providers such as gmail.com and hotmail.com.                                                            |
| preventMultipleRegistrationsPerDomain       | Prevent a user from requesting a trial license key if another user from the same domain has already requested a trial. This property works in conjunction with the genericEmailProviders property that allows you to configure generic email providers such as gmail.com and hotmail.com.                                                                 |
| preventMultipleRegistrationsPerMajorVersion | Prevent a user from requesting multiple license keys for the same product major version. The default value is True.                                                                                                                                                                                                                                       |
| preventMultipleRegistrationsPerMinorVersion | Prevent a user from requesting multiple license keys for the same product minor version. The default value is True.                                                                                                                                                                                                                                       |
| preventMultipleRegistrationsPerProduct      | Prevent a user from requesting multiple license keys for the same product. The default value is True.                                                                                                                                                                                                                                                     |
| thirdPartyRegistrationFields                | See [MailChimp ](https://support.soraco.co/hc/en-us/articles/206203030-Quick-License-Manager-Integration-with-MailChimp)Integration.                                                                                                                                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/self-help-customer-site/qlmcustomersite-qlm-self-help/trial-registration-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
